# getArenaTag | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function getArenaTag

- getArenaTag(
  tagType: ArenaTagType ,
  turnCount: number,
  sourceMove: undefined | Moves ,
  sourceId: number,
  targetIndex?: BattlerIndex ,
  side?: ArenaTagSide ,
  ): null | ArenaTag

  #### Parameters

  - tagType: ArenaTagType
  - turnCount: number
  - sourceMove: undefined | Moves
  - sourceId: number
  - `Optional` targetIndex: BattlerIndex
  - side: ArenaTagSide = ArenaTagSide.BOTH

  #### Returns null | ArenaTag

  - Defined in src/data/arena-tag.ts:1495